petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMLabelHasValue

Determine whether a label assigns the value to any point

### Synopsis

    #include "petscdmlabel.h"
    #include "petscis.h"
    PetscErrorCode DMLabelHasValue(DMLabel label, PetscInt value, PetscBool *contains)

### Input Parameters

| label | - the DMLabel
| value | - the value

### Output Parameter

contains -Flag indicating whether the label maps this value to any point

### See Also

DMLabelHasPoint(), DMLabelGetValue(), DMLabelSetValue()

Level:developer
Location:src/dm/labeldmlabel.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages